import request from '@/utils/request'

// 查询项目信息列表
export function listProject(query) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/business/project/list',
    method: 'get',
    params: query
  })
}

// 查询项目信息详细
export function getProject(id) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/business/project/' + id,
    method: 'get'
  })
}

// 新增项目信息
export function saveProject(data) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/business/project',
    method: 'post',
    data: data
  })
}

// 删除项目信息
export function delProject(id) {
  request.defaults.baseURL = '/ezhizao-yzbh-sys'
  return request({
    url: '/business/project/' + id,
    method: 'delete'
  })
}
